public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/graylog/
Date: Sun, 20 Dec 2020 19:21:03 +0000 (UTC)	[thread overview]
Message-ID: <1608492060.02a3ac9485394605a24bf17b12d7eaa82644bb2d.whissi@gentoo> (raw)

commit:     02a3ac9485394605a24bf17b12d7eaa82644bb2d
Author:     Tomáš Mózes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Wed Dec 16 13:11:27 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sun Dec 20 19:21:00 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02a3ac94

app-admin/graylog: bump to 3.3.9

Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/18677
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 app-admin/graylog/Manifest             |  1 +
 app-admin/graylog/graylog-3.3.9.ebuild | 83 ++++++++++++++++++++++++++++++++++
 2 files changed, 84 insertions(+)

diff --git a/app-admin/graylog/Manifest b/app-admin/graylog/Manifest
index e912249dcc5..762b9aa9154 100644
--- a/app-admin/graylog/Manifest
+++ b/app-admin/graylog/Manifest
@@ -1,2 +1,3 @@
 DIST graylog-3.3.8.tgz 129314297 BLAKE2B 21eaf45b396b11ad5c42efad790390b643505ac7ecc24332813784443ba3b5aeed911fae07beb270f598341d577469f9a5fdbe92101e64939e6646884b7f7fc8 SHA512 feda3dafc3af249e54e8240ea20a8fd4e96c80901b45842cf8ec4ee7a5b33646a391a19a23a06b0e5fb4bf29c0d1c8d7cb87f2ee169ef17ac5b38fbd00682ead
+DIST graylog-3.3.9.tgz 129306340 BLAKE2B 91fd8195176b2e7d87b0bf29ffbe000b8cddac8efb238487a0e3cc1b1048e9ea9af36d1f5362c79ce0ba964886b336a43bbc7e64d52711bf00e3721d7253a3af SHA512 acbfd63974a700f7860e4acf706cc40f8c097546510ec7ed040bfbf50cb878fbd0a9f793eb88227e27205d5af40dbad3a4299354bf70bc2c26a6998b6c3bf0c6
 DIST graylog-4.0.1.tgz 163263748 BLAKE2B fdaf3055a76b49a637e2ce7a52af465195e8afb787f20632197a6839a0e6d134284ac3e5c5af76d7fe8bb9ec5de9ba47d5401e0392eb5c078728698fd1e208cd SHA512 a7fb3757cb9ac67a33b836634f73d08b06bc6c0ff50ae0e24da3616dbe8663740e64f07efeb8ac8578f283232df784c959b940f25dc6ab5a66483bc84cbab88e

diff --git a/app-admin/graylog/graylog-3.3.9.ebuild b/app-admin/graylog/graylog-3.3.9.ebuild
new file mode 100644
index 00000000000..d9a5d388357
--- /dev/null
+++ b/app-admin/graylog/graylog-3.3.9.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Free and open source log management"
+HOMEPAGE="https://www.graylog.org"
+SRC_URI="https://downloads.graylog.org/releases/graylog/${P}.tgz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+RESTRICT="strip"
+
+RDEPEND="!app-admin/graylog2
+	acct-group/graylog
+	acct-user/graylog
+	>=virtual/jdk-1.8:*"
+
+DOCS=(
+	COPYING README.markdown UPGRADING.rst
+)
+
+GRAYLOG_DATA_DIR="/var/lib/graylog"
+GRAYLOG_INSTALL_DIR="/usr/share/graylog"
+QA_PREBUILT="${GRAYLOG_INSTALL_DIR}/lib/sigar/libsigar*"
+
+src_prepare() {
+	default
+
+	# Stick to architecture of build host
+	if ! use amd64; then
+		rm -r lib/sigar/libsigar-amd64-*.so || die "Failed in removing AMD64 support libraries"
+	fi
+	if ! use ppc64; then
+		rm -r lib/sigar/libsigar-ppc64-*.so || die "Failed in removing PPC64 support libraries"
+	fi
+	if ! use x86; then
+		rm -r lib/sigar/libsigar-x86-*.so || die "Failed in removing X86 support libraries"
+	fi
+	# Currently unsupported platforms
+	# QA warning galore but testing/patches welcome
+	rm lib/sigar/libsigar-*freebsd*so \
+		lib/sigar/libsigar-*solaris*so \
+		lib/sigar/libsigar-*hpux*.sl \
+		lib/sigar/libsigar-*macosx*.dylib \
+		lib/sigar/libsigar-ia64-*.so \
+		lib/sigar/libsigar-ppc-*.so \
+		lib/sigar/libsigar-s390x*.so \
+		lib/sigar/*winnt* || die "Failed in removing unsupported platform libraries"
+
+	# gentoo specific paths
+	sed -i "s@\(node_id_file = \).*@\1${GRAYLOG_DATA_DIR}/node-id@g; \
+		s@\(message_journal_dir = \).*@\1${GRAYLOG_DATA_DIR}/data/journal@g;" \
+		graylog.conf.example || die
+}
+
+src_install() {
+	default
+
+	insinto /etc/graylog
+	doins graylog.conf.example
+
+	insinto "${GRAYLOG_INSTALL_DIR}"
+	doins graylog.jar
+	doins -r lib plugin
+
+	keepdir "${GRAYLOG_DATA_DIR}"
+
+	newconfd "${FILESDIR}/graylog.confd" graylog
+	newinitd "${FILESDIR}/graylog.initd" graylog
+}
+
+pkg_postinst() {
+	ewarn "Graylog does not depend on need.net any more (#439092)."
+	ewarn
+	ewarn "Please configure rc_need according to your binding address in:"
+	ewarn "/etc/conf.d/graylog"
+	ewarn
+	ewarn "Graylog requires Java >= 8"
+	ewarn "Elasticsearch 5.x or 6.x (does NOT work with 7.x)"
+	ewarn "and MongoDB 3.6, 4.0 or 4.2"
+}


             reply	other threads:[~2020-12-20 19:21 UTC|newest]

Thread overview: 30+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-12-20 19:21 Thomas Deutschmann [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-03-16 15:54 [gentoo-commits] repo/gentoo:master commit in: app-admin/graylog/ Joonas Niilola
2022-03-04 13:53 Joonas Niilola
2022-02-13 16:10 Matthew Smith
2022-01-08 17:50 Joonas Niilola
2022-01-08 17:50 Joonas Niilola
2022-01-08 17:50 Joonas Niilola
2022-01-08 17:50 Joonas Niilola
2021-12-17  3:37 Sam James
2021-12-13  5:07 Sam James
2021-08-07 12:50 Ionen Wolkens
2021-08-07 12:50 Ionen Wolkens
2021-08-07 12:50 Ionen Wolkens
2021-08-07 12:50 Ionen Wolkens
2021-05-28 19:23 Thomas Deutschmann
2021-05-28 19:23 Thomas Deutschmann
2021-05-28 19:23 Thomas Deutschmann
2021-03-22 14:23 Joonas Niilola
2021-02-04 22:27 Thomas Deutschmann
2020-11-27 16:55 Thomas Deutschmann
2020-11-22 17:17 Thomas Deutschmann
2020-11-18 17:34 Thomas Deutschmann
2020-11-10 15:29 Thomas Deutschmann
2020-08-06 16:09 Thomas Deutschmann
2020-08-06 16:09 Thomas Deutschmann
2020-07-30 18:17 Thomas Deutschmann
2020-06-12 14:33 Thomas Deutschmann
2020-03-26 14:01 Joonas Niilola
2020-03-26 14:01 Joonas Niilola
2020-02-26 16:17 Joonas Niilola

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1608492060.02a3ac9485394605a24bf17b12d7eaa82644bb2d.whissi@gentoo \
    --to=whissi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox